class = require "lib.middleclass.middleclass"

Hud = class("Hud")

function Hud:initialize()
end

function Hud:draw(score, lives, powerups)
  local default_font = love.graphics.getFont()
  local cr, cg, cb, ca = love.graphics.getColor()

  local ship_hud_img = love.graphics.newImage("asset/img/ship_16x16.png")
--  local pwrup_hud_img = love.graphics.newImage("asset/img/star_16x16.png")

  local font = love.graphics.newFont("asset/font/Atmosphere-Light.TTF", 16)
  love.graphics.setColor(255, 255, 0)
  love.graphics.setFont(font)
  
  local score_str = string.format("%05d ", score)
  local score_str_width = font:getWidth(tostring(score_str))
  local w =  score_str_width + 6 * 16
  local x = (WINDOW_WIDTH - w) / 2

  love.graphics.print(score_str, x, 2)
  
  love.graphics.setFont(default_font)
  love.graphics.setColor(cr, cg, cb, ca)
  
  for i=0, lives-1 do
    love.graphics.draw(ship_hud_img, x + score_str_width + i*16, 2) 
  end
  
--  love.graphics.draw(pwrup_hud_img, x + score_str_width + 48, 2) 
--  love.graphics.draw(pwrup_hud_img, x + score_str_width + 64, 2) 
--  love.graphics.draw(pwrup_hud_img, x + score_str_width + 80, 2) 
end

