require "lib.middleclass.middleclass"

Stars = class("Stars")

function Stars:initialize(n, w, h, max_size)
  self.n = n
  self.w = w
  self.h = h
  self.max_size = max_size
  self.stars = {}

  for i = 1, self.n do
    local x = math.random(5, self.w-6)
    local y = math.random(5, self.h-6)
    self.stars[i] = {x, y}
  end

end

function Stars:draw()
  love.graphics.points(self.stars) 
end
